iSCSI SCST Target Daemon(8)

NAME
iscsi-scstd - iSCSI SCST Target Daemon

SYNOPSIS
iscsi-scstd [-c configfile] [-d debuglevel] [-f] [-g GID] [-h] [-a address] [-p port] [-u UID]

DESCRIPTION
The iscsi-scstd program implements the user level part of iSCSI SCST Target software for building an iSCSI storage system on Linux.

OPTIONS

-c filename, --config=filename
    Specify configuration file, default is /etc/iscsi-scstd.conf

-d debuglevel, --debug=debuglevel
    Turns on debugging. Logging goes to /var/log/syslog via syslog(1).

-f, --foreground
    Act as a normal application which uses a console.

-g GID, --gid=GID
    Specify running group id, default is current gid.

-a address, --address=address
    Specify on which local address the server should listen, default is any.

-p port, --port=port
    Specify on which port the server should listen, default is 3260.

-h, --help
    Display help message on command line options.

-u UID, --uid=UID
    Specify running user id, default is current uid.

FILES
/etc/iscsi-scstd.conf
    The system wide configuration file. See iscsi-scstd.conf(5) for further details.

DIAGNOSTICS
This may be logged to stderr: Warnings "Dropping key (%s=%s)"
    Value(s): key, value
"unable to set fd flags (%s)!"
    Value(s): strerror(errno)
"unable to get fd flags (%s)!"
    Value(s): strerror(errno)
"unable to set SO_REUSEADDR on server socket (%s)!"
    Value(s): strerror(errno)
"iscsi_ctrl: failed to scan '%s'"
    Value(s): p
"target %u not found?"
    Value(s): target_id
"session %#Lx not found?"
    Value(s): session_id
"session_remove: session %#Lx not found?"
    Value(s): session->sid.id64
"need to shutdown target %s"
    Value(s): target->name
Errors "unable to create server socket (%s)!"
    Value(s): strerror(errno)
"unable to bind server socket (%s)!"
    Value(s): strerror(errno)
"unable to listen to server socket (%s)!"
    Value(s): strerror(errno)
"error reading /proc/iscsi/iscsi (%d)"
    Value(s): errno
"unable to create pid file" "starting daemon failed" "unable to lock pid file" "unable to open %s! (%s)"
    Value(s): PROC_DEVICEDIR, strerror(errno)
"unable to open %s! (%s)"
    Value(s): PROC_TARGETDIR, strerror(errno)
Debug Messages Level 0 "unknown user %s"
    Value(s): value
"login by %s failed"
    Value(s): user->name
"successful login by %s"
    Value(s): user->name
"connection request from %s"
    Value(s): inet_ntoa(name.sin_addr)
"connection closed"
    Value(s): target->id
Debug Messages Level 1 "conn_take_fd: %u %u %u %Lx %d"
    Value(s): conn->cid, conn->stat_sn, conn->exp_stat_sn, conn->sid.id64, fd
"exp_cmd_sn: %d,%d"
    Value(s): conn->exp_cmd_sn, req->cmd_sn
"Login request (security negotiation): %d"
    Value(s): conn->state
"Login request (operational negotiation): %d"
    Value(s): conn->state
"Text request: %d"
    Value(s): conn->state
"close conn %u session %Lx target %u"
    Value(s): conn_id, session_id, target_id
"session_find_name: %s,%#Lx"
    Value(s): iname, sid.id64
"session_find_id: %#Lx"
    Value(s): sid
"session_create: %#Lx"
    Value(s): session->sid.id64
"session_close: %#Lx"
    Value(s): session->sid.id64
"session_remove: %#Lx"
    Value(s): session->sid.id64
"active target %d: %s"
    Value(s): id, name
"removing target %d"
    Value(s): id
"creaing target %u: %s"
    Value(s): target_next_id, p
"target_find_name: %s"
    Value(s): name
"target_find_id: %u"
    Value(s): id
"target_remove: %u,%s"
    Value(s): target->id, target->name
Debug Messages Level 2 "%s %.16s"
    Value(s): line, buf
"BHS: (%p)"
    Value(s): buf
"AHS: (%p)"
    Value(s): buf
"Data: (%p)"
    Value(s): buf

KNOWN ISSUES
Task attributes is incomplete (all tasks are treated as if they have the SIMPLE attribute.) SCSI task management is incomplete. NOP-In is incomplete. The target never sends a NOP-In of its own accord. Header and Data Digest in a discovery session are not implemented. Out-of-memory situation leads to the system crash (There are still some out-of-memory bugs.)

SEE ALSO
iscsi-scstd.conf(5)